Subject: Re: [PATCH net-next v3 04/10] net: sparx5: add port module support

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 7 Jun 2021 14:12:31 +0100

Hi,

On Mon, Jun 07, 2021 at 02:46:44PM +0200, Steen Hegelund wrote:
> Hi Russell,
> 
> Thanks for your comments.
> 
> On Mon, 2021-06-07 at 10:21 +0100, Russell King (Oracle) wrote:
> > It looks to me like the phylink code in your patch series is based on
> > an older version of phylink and hasn't been updated for the split PCS
> > support - you seem to be munging the PCS parts in with the MAC
> > callbacks. If so, please update to the modern way of dealing with this.
> > 
> > If that isn't the case, please explain why you are not using the split
> > PCS support.
> 
> I need to be able to let the user set the speed to get the link up.
> 
> So far I have only been able to get the user configured speeds via the mac_ops, but if this is also
> possible via the pcs_ops, there should not anything preventing me from using these ops instead.
> 
> Will the pcs_ops also support this?

I really don't understand what you're saying here, so I can't answer.

What exactly do you mean "user configured speeds" ? Please give
examples of exactly what you're wanting to do.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel